using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATProcessImportRule")]
public partial class AtprocessImportRule
{
    [Key]
    public int Id { get; set; }

    public int ProcessId { get; set; }

    [StringLength(128)]
    public string DoNotConvert { get; set; } = null!;

    public bool MergeDocuments { get; set; }

    public int? ConvertToFormatId { get; set; }

    public bool RenameWhenMerged { get; set; }

    [ForeignKey("ConvertToFormatId")]
    [InverseProperty("AtprocessImportRules")]
    public virtual AtimportDocumentType? ConvertToFormat { get; set; }

    [ForeignKey("ProcessId")]
    [InverseProperty("AtprocessImportRules")]
    public virtual AtprocessDefinition Process { get; set; } = null!;
}
